"""Module that provides all database columns"""

from async_pymongo import AsyncClient
from libbot import sync

db_config = sync.config_get("database")

if db_config["user"] is not None and db_config["password"] is not None:
    con_string = "mongodb://{0}:{1}@{2}:{3}/{4}".format(
        db_config["user"],
        db_config["password"],
        db_config["host"],
        db_config["port"],
        db_config["name"],
    )
else:
    con_string = "mongodb://{0}:{1}/{2}".format(
        db_config["host"], db_config["port"], db_config["name"]
    )

db_client = AsyncClient(con_string)
db = db_client.get_database(name=db_config["name"])

col_users = db.get_collection("users")
col_groups = db.get_collection("groups")
col_schedule = db.get_collection("schedule")
